import { Plugin } from "../../application/Plugin.mjs";
import { RemoteSchemaTemplateManagerPlugin } from "../../schema-templates/SchemaTemplateManagerProvider.mjs";
import { AdminLayout } from "./AdminLayout.mjs";
class AdminLayoutPlugin extends Plugin {
    async afterAdd() {
        await this.app.pm.add(RemoteSchemaTemplateManagerPlugin);
    }
    async load() {
        this.app.addComponents({
            AdminLayout: AdminLayout
        });
    }
}
export { AdminLayoutPlugin };
